#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <time.h>

long contents[26], used[26], contains[26][26];

propogate( int idx, long elts ) {
	if((contents[idx]&elts)==elts) return;
	contents[idx]|=elts;
	for(int i=0;i<26;i++) if(contains[i][idx]) propogate(i, elts);
}
main() {
/*srand(clock());
freopen("subset.in","w",stdout);
for(char c='A';c<='Z';c++) if(rand()%10>0) for(char d='A';d<='Z';d++) if(rand()%3) printf("%c contains %c\n",c,d);
for(char c='a';c<='z';c++) printf("%c contains %c\n",rand()%26+'A',c);
*/

	freopen("subset.in","r",stdin);
	freopen("subset.out","w",stdout);
	char buf[100], s1, s2;
	int ds;
	scanf("%d\n",&ds);
	while(ds--) {
	     gets(buf);
		sscanf(buf,"%c %*s %c",&s1,&s2);		
		used[ s1-'A' ] = 1;
		if(islower(s2)) {
			propogate( s1-'A', 1L<<(s2-'a') );
		} else {
		    used[ s2-'A' ] = 1;
		    contains[s1-'A'][s2-'A']=1;
			propogate( s1-'A', contents[s2-'A'] );
		}
	}
	for( int i=0; i<26; i++ ) {
		if(used[i]) {
			printf("%c = {",i+'A');
			int first=1;
			for(int j=0;j<26;j++) {
				if(contents[i]&(1L<<j)) {
					printf("%s%c", (first ? "": ","), j+'a' );
					first=0;
				}
			}
			printf("}\n");
		}
	}
	
}